Invoice object plus optional InvoiceItem, Payment, Client, etc.); the document type is set to estimate automatically. As a convenience an Estimate object is also accepted and its fields are merged into the Invoice object.Invoice.client_id is required. Estimate-specific notes: deposit, due-after, terms and issue-date are not applicable to estimates. See Add New Invoice for the full reference of the remaining header / item / payment fields and their defaulting.curl --location --globoff 'https://.daftra.com/api2/estimates.json' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"Invoice": {
"client_id": 15,
"date": "2026-06-25",
"currency_code": "USD",
"store_id": 0,
"draft": true,
"notes": "string"
},
"InvoiceItem": [
{
"item": "Consulting service",
"unit_price": 100,
"quantity": 2,
"product_id": 12
}
]
}'{
"result": "successful",
"code": 202,
"id": 4012
}